org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageUpdatePartitionDataRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdatePartitionDataRecord

    public class MetaPageUpdatePartitionDataRecord
    extends PageDeltaRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MetaPageUpdatePartitionDataRecord(int cacheId, long pageId, long updateCntr, long globalRmvId, int partSize, byte state, int allocatedIdxCandidate)`

### Method Summary

Methods
`int` `allocatedIndexCandidate()`
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `globalRemoveId()`
`int` `partitionSize()`
`byte` `state()`
`WALRecord.RecordType` `type()`
`long` `updateCounter()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`cacheId, pageId, toString`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaPageUpdatePartitionDataRecord

    public MetaPageUpdatePartitionDataRecord(int cacheId,
                                     long pageId,
                                     long updateCntr,
                                     long globalRmvId,
                                     int partSize,
                                     byte state,
                                     int allocatedIdxCandidate)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `allocatedIdxCandidate` - Page Allocated index candidate

### Method Detail

#### updateCounter

    public long updateCounter()

Returns:
  Update counter.

#### globalRemoveId

    public long globalRemoveId()

Returns:
  Global remove ID.

#### partitionSize

    public int partitionSize()

Returns:
  Partition size.

#### state

    public byte state()

Returns:
  Partition state

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### allocatedIndexCandidate

    public int allocatedIndexCandidate()

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017